curl --request POST \
--url https://api.galileo.ai/v2/scorers/{scorer_id}/version/decision \
--header 'Content-Type: application/json' \
--header 'Splunk-AO-API-Key: <api-key>' \
--data '
{
"model_name": "<string>",
"question": "<string>",
"num_judges": 123,
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true,
"answer_options": [
"<string>"
]
}
'import requests
url = "https://api.galileo.ai/v2/scorers/{scorer_id}/version/decision"
payload = {
"model_name": "<string>",
"question": "<string>",
"num_judges": 123,
"scoreable_node_types": ["<string>"],
"cot_enabled": True,
"answer_options": ["<string>"]
}
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_name: '<string>',
question: '<string>',
num_judges: 123,
scoreable_node_types: ['<string>'],
cot_enabled: true,
answer_options: ['<string>']
})
};
fetch('https://api.galileo.ai/v2/scorers/{scorer_id}/version/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scoreable_node_types": [
"chain"
],
"scorer_configuration": {
"model_alias": "gpt-4.1-mini",
"num_judges": 3,
"output_type": "boolean",
"scoreable_node_types": [
"<string>"
],
"cot_enabled": false,
"ground_truth": false,
"multimodal_capabilities": [
"vision"
]
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"data_type": "unknown",
"scoreable_node_types": [
"<string>"
]
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"lora_weights_path": "<string>",
"luna_input_type": "span",
"luna_output_type": "float",
"class_name_to_vocab_ix": {},
"executor": "action_completion_luna"
},
"luna3_scorer": {
"instruction": "<string>",
"adapter_path": "<string>",
"class_name_to_vocab_ix": {},
"id": "<string>",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"threshold": 123,
"created_by": "<string>"
},
"decision_scorer": {
"id": "<string>",
"organization_id": "<string>",
"question": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"answer_options": [
"<string>"
]
},
"model_name": "<string>",
"num_judges": 123,
"cot_enabled": true,
"runtime": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"scoreable_node_types": [
"<string>"
],
"output_type": "boolean",
"allowed_model": true,
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Decision Scorer Version
Create a decision evaluator version that holds its question, answer options and model.
Authorizations
Path Parameters
Body
The question and model for a new decision scorer version.
The inherited scoreable_node_types, output_type and input_type are optional, but each must match the scorer when sent. The service checks these fields, and it checks answer_options against the stored output_type.
1 - 2551 - 2000Enumeration of output types.
boolean, categorical, count, discrete, freeform, percentage, multilabel, retrieved_chunk_list_boolean, boolean_multilabel, boolean_probability Enumeration of input types.
basic, llm_spans, retriever_spans, sessions_normalized, sessions_trace_io_only, tool_spans, trace_input_only, trace_io_only, trace_normalized, trace_output_only, agent_spans, workflow_spans Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A row of the decision_scorers table.
answer_options depends on the output type of the scorer:
- categorical: a list of labels (list[str]).
- discrete: a list of DecisionLevel.
- boolean_probability: None.
Show child attributes
Show child attributes
The runtime a code metric version runs on, such as python3.14. Null for a version saved before runtimes were recorded, which runs on the legacy Python 3.12 runtime.
Template for a chainpoll metric prompt, containing all the info necessary to send a chainpoll prompt.
Show child attributes
Show child attributes
Enumeration of output types.
boolean, categorical, count, discrete, freeform, percentage, multilabel, retrieved_chunk_list_boolean, boolean_multilabel, boolean_probability Was this page helpful?